Package writer2latex.latex.i18n

# Class ReplacementTrieNode

java.lang.Object
writer2latex.latex.i18n.ReplacementTrieNode

Direct Known Subclasses:
  `ReplacementTrie`

public class ReplacementTrieNode extends Object
This class contains a node in a trie of string -> LaTeX code replacements

## Constructor Summary

Constructors
Constructor
Description
`ReplacementTrieNode(char cLetter, int nInputLength)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`appendChild(ReplacementTrieNode node)`
`protected void`
`appendSibling(ReplacementTrieNode node)`
`protected void`
`collectStrings(Set<String> strings, String sPrefix)`
`protected ReplacementTrieNode`
`get(String sInput, int nStart, int nEnd)`
`protected ReplacementTrieNode`
`getChildByLetter(char cLetter)`
`protected ReplacementTrieNode`
`getFirstChild()`
`int`
`getFontencs()`
`int`
`getInputLength()`
`String`
`getLaTeXCode()`
`char`
`getLetter()`
`protected ReplacementTrieNode`
`getNextSibling()`
`protected void`
`put(String sInput, String sLaTeXCode, int nFontencs)`
`protected void`
`setFontencs(int nFontencs)`
`protected void`
`setLaTeXCode(String sLaTeXCode)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReplacementTrieNode

public ReplacementTrieNode(char cLetter, int nInputLength)

## Method Details

### getLetter

public char getLetter()

### getInputLength

public int getInputLength()

### getLaTeXCode

public String getLaTeXCode()

### getFontencs

public int getFontencs()

### setLaTeXCode

protected void setLaTeXCode(String sLaTeXCode)

### setFontencs

protected void setFontencs(int nFontencs)

### getFirstChild

protected ReplacementTrieNode getFirstChild()

### getNextSibling

protected ReplacementTrieNode getNextSibling()

### getChildByLetter

protected ReplacementTrieNode getChildByLetter(char cLetter)

### appendChild

protected void appendChild(ReplacementTrieNode node)

### appendSibling

protected void appendSibling(ReplacementTrieNode node)

### get

protected ReplacementTrieNode get(String sInput, int nStart, int nEnd)

### put

protected void put(String sInput, String sLaTeXCode, int nFontencs)

### collectStrings

protected void collectStrings(Set<String> strings, String sPrefix)

### toString

public String toString()

Overrides:
  `toString` in class `Object`